TOAR Gridding Tool
====

# About 

The TOARgridding projects data from the TOAD database (https://toar-data.fz-juelich.de/) onto a grid. 
The mean and standard deviation of all stations within a cell are computed. 

The tool handels the request to the database over the REST API and the subsequent processing.
The results are provided as xarray objects for subsequent processing by the user.

This project is in beta with the intended basic functionalities. 
The documentation is work in progress.

# Requirements

# Installation

Move to the folder you want to create download this project to.

Clone the project from its git repository
```
git clone https://gitlab.jsc.fz-juelich.de/esde/toar-public/toargridding.git 
```

The handling of required packages is done with poetry.
For installing them go to the new created directory and run poetry
```
cd toargridding
poetry install
```

# Example

There are at the moment three example provided as jupyter notebooks:
##  High level function
```
tests/procude_data.ipynb 
```
Provides an example on how to download data, apply gridding and save the results as netCDF files.
## Retrieving data
get_sample_data.ipynb 
Downloads data from the TOAR database. 
## Retriving data and visualization
```
quality_controll.ipynb
```
Notebook for downloading and visualization of data. 
The data are downloaded and reused for subsequent executions of this notebook.

# Supported Grids

The first supported grid is the Cartesian grid.

# Supported Variables

At the moment only a limited number of variables from the TOAR database is supported. 


